Subject: Re: [msysGit] Re: [ANNOUNCE] GIT 1.5.4

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 Feb 2008 11:42:59 -0800

Johannes Schindelin <[email-masked]> writes:

> - even if it would be not necessary to accept the license (which I am not 
>   at all sure about, but do not care enough to learn about it, either), I 
>   am not amused by somebody I do not know of, and who did not share 
>   anything with me that I know of, asking me to remove that license 
>   dialog.

I think you need to grow a thicker skin.

It does not matter if the person is somebody you know or you
have shared with.  I'd grant you that Luciano could have been
more diplomatic when he started his message, but I'd agree that
it is silly to refuse to install an end user program unless the
end user agrees to GPL that governs how its sources can and
cannot be used, especially if the installer does not even
install the sources to the software.

In other words, consider his message as a bug report to the
installer.

I think removing the license dialog is a bad idea.  You need to
tell the end-user about his rights, and one of the things is
that he can get source to git under the terms of GPLv2.  The bug
is not about showing the license, but is about refusing to
install unless the end user agrees with it.

>   If you are not okay with accepting a tit-for-tat license, well... I'll 
>   not give you "tat".

The tit-for-tat in GPLv2 which we use is about "I gave you my
source.  If you are going to work on my source and distribute
the result, you must promise me that I have the access to that
modified source of yours.  Otherwise you cannot work on it and
distribute the result."

Showing the GPL (which says it does not cover the mere use of
the software) and then asking if the user accepts is merely
about:

	"If and only if you are going to modify and distribute
	it, you must abide by the rules.  Do you understand?"

The valid answers to the question would include "I understand",
"I do understand it, I do not like it, but I am not going to
modify and distribute it anyway", and even "I do not understand
it, but I just want to use it".  In any case, refusing to
install unless the user says "I agree" feels silly.

If I were writing the installer, I would say in the dialog, "git
is distributed under GPL so you have the usual rights any GPLed
software comes with", optionally show the GPL, and have a single
"Continue" button.